org.apache.poi.sl.draw.binding

## Class CTPresetTextShape

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTPresetTextShape

-     public class CTPresetTextShape
      extends java.lang.Object

  Java class for CT_PresetTextShape complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_PresetTextShape">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="avLst" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_GeomGuideList" minOccurs="0"/>
             </sequence>
             <attribute name="prst" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_TextShapeType" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CTGeomGuideList` | `avLst`
    `protected STTextShapeType` | `prst`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTPresetTextShape()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CTGeomGuideList` | `getAvLst()` Gets the value of the avLst property.
    `STTextShapeType` | `getPrst()` Gets the value of the prst property.
    `boolean` | `isSetAvLst()`
    `boolean` | `isSetPrst()`
    `void` | `setAvLst(CTGeomGuideList value)` Sets the value of the avLst property.
    `void` | `setPrst(STTextShapeType value)` Sets the value of the prst property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### avLst

          protected CTGeomGuideList avLst

    - #### prst

          protected STTextShapeType prst

  - ### Constructor Detail

    - #### CTPresetTextShape

          public CTPresetTextShape()

  - ### Method Detail

    - #### getAvLst

          public CTGeomGuideList getAvLst()

      Gets the value of the avLst property.
      Returns:
        possible object is `CTGeomGuideList`

    - #### setAvLst

          public void setAvLst(CTGeomGuideList value)

      Sets the value of the avLst property.
      Parameters:
        `value` - allowed object is `CTGeomGuideList`

    - #### isSetAvLst

          public boolean isSetAvLst()

    - #### getPrst

          public STTextShapeType getPrst()

      Gets the value of the prst property.
      Returns:
        possible object is `STTextShapeType`

    - #### setPrst

          public void setPrst(STTextShapeType value)

      Sets the value of the prst property.
      Parameters:
        `value` - allowed object is `STTextShapeType`

    - #### isSetPrst

          public boolean isSetPrst()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.